Subject: Re: [PATCH] rebase -i: fixup fixup! fixup!

From: Thomas Rast <[email-masked]>
Date: Mon, 17 Jun 2013 10:07:58 +0200

Junio C Hamano <[email-masked]> writes:

> Thomas Rast <[email-masked]> writes:
>
>> Isn't it a bit of an academic question?
>> ...
>> And once you have that, it seems a nicer and cleaner idea to generate
>> 'fixup! A' each time, instead of a successive sequence of
>>
>>   fixup! A
>>   fixup! fixup! A
>>   fixup! fixup! fixup! A
>>   ...
>
> As to reordering, you are absolutely correct.
[...]
> Does dropping these leading "fixup!" (or "squash!") at commit time
> make the application in "rebase -i --autosquash" significantly
> easier to do?

Conveniently enough we have seen both already ;-)  Andrew's version for
commit.c could use a bit of refactorization, since it inserts the same
code in two places, but then it's about the same complexity as the
change for rebase.

I'm not sure it's worth arguing about whether the "fixup! fixup!"  is a
symptom of some underlying problem, and changing rebase is only tapering
over the symptom; or whether it's actually a useful distinction.  Either
one works fine as a fix for an annoyance that Andrew had, and that bit
me in the past too.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch